﻿Imports System
Imports Wisej.Web
Imports CrystalDecisions.CrystalReports.Engine
Imports CrystalDecisions.Shared
Imports System.IO

Public Class Page1
    Private Sub Button1_Click(sender As Object, e As EventArgs) Handles Button1.Click
        Dim reportPath = Application.MapPath("Report1.rpt")
        Dim exportPath = Application.MapPath("Export.pdf")

        ExportToPDF(reportPath, exportPath)
        Me.PdfViewer1.PdfSource = exportPath
    End Sub

    Private Sub ExportToPDF(reportFilePath As String, exportFilePath As String)
        Dim reportDocument As New ReportDocument()
        reportDocument.Load(reportFilePath)

        ' Set any parameters if needed
        ' Dim parameterFields As ParameterFields = reportDocument.DataDefinition.ParameterFields
        ' Dim parameterField As ParameterField = parameterFields.Item("ParameterName")
        ' parameterField.CurrentValues.AddValue("ParameterValue")

        Dim exportOptions As ExportOptions = reportDocument.ExportOptions
        exportOptions.ExportFormatType = ExportFormatType.PortableDocFormat
        exportOptions.ExportDestinationType = ExportDestinationType.DiskFile
        Dim diskFileDestinationOptions As New DiskFileDestinationOptions()
        diskFileDestinationOptions.DiskFileName = exportFilePath
        exportOptions.DestinationOptions = diskFileDestinationOptions

        reportDocument.Export()
    End Sub

End Class
